import { jsx } from "react/jsx-runtime";
import { ButterflyIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Butterfly = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Butterfly", ...props, children: /* @__PURE__ */ jsx(ButterflyIcon, { weight: variant }) });
  }
);
Butterfly.displayName = "Butterfly";
Object.assign(Butterfly, { isGdsIcon: true });
export {
  Butterfly
};
